Bug 510141 - font size not changed when <Enter> Key is pressed
font size not changed when <Enter> Key is pressed
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xchm (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
http://sourceforge.net/tracker/?func=...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-07 16:50 EDT by Suhan Andrei
Modified: 2009-07-31 14:07 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.17-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-31 14:07:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Suhan Andrei 2009-07-07 16:50:41 EDT
Description of problem:


Version-Release number of selected component (if applicable):
rpm -q xchm
xchm-1.14-1.fc9.x86_64


How reproducible:
always

Steps to Reproduce:
1.open font dialog from toolbar ( or  Ctrl+T )
2. type in a new  good font size in spin ctrl
3. hit enter to apply change and close the dialog
  
Actual results:
Nothing happends.

Expected results:
New font size is in effect on the opened documment

Additional info:
possible fix here: http://sourceforge.net/tracker/?func=detail&aid=2818213&group_id=87007&atid=581691

simple workarount would be to handle ok button press:

in event table : EVT_BUTTON(wxID_OK, CHMFontDialog::OnOkPressed)

add member function :

void CHMFontDialog::OnOkPressed(wxCommandEvent& WXUNUSED(event))
{
UpdatePreview();
AcceptAndClose();
}

and do not forget add function definition in coresponding header.

//! This is called when Ok is pressed
void OnOkPressed(wxCommandEvent& event);
Comment 1 manuel wolfshant 2009-07-08 03:19:09 EDT
Could you please test the version from http://koji.fedoraproject.org/koji/taskinfo?taskID=1460965 (or http://koji.fedoraproject.org/koji/taskinfo?taskID=1460972 if you are on F9, in which case please do the test as soon as possible, as F9 will be EOL-ed in 2 days) ?
Comment 2 manuel wolfshant 2009-07-08 03:56:47 EDT
For what it's worth, I cannot reproduce the bug in F10, using xchm-1.14-1.fc9.x86_64. As soon as I select a new font size, the document is displayed in the new font size, as it should.


OTOH, http://koji.fedoraproject.org/koji/taskinfo?taskID=1461019 (xchm-1.17-1.f10) does not display any texts in the menu. In the console I get tons of "(xchm:27381): Pango-CRITICAL **: pango_font_description_set_size: assertion `size >= 0' failed". Let me know if it works for you.
Comment 3 Fedora Update System 2009-07-10 20:42:24 EDT
xchm-1.17-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/xchm-1.17-1.fc11
Comment 4 Fedora Update System 2009-07-10 20:42:26 EDT
xchm-1.17-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/xchm-1.17-1.fc10
Comment 5 Fedora Update System 2009-07-16 03:26:07 EDT
xchm-1.17-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xchm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-7665
Comment 6 Fedora Update System 2009-07-31 14:03:34 EDT
xchm-1.17-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2009-07-31 14:07:38 EDT
xchm-1.17-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.